<template>
    <content-layout style="z-index: 1;">
        <template v-slot:header>
            <h1>Dashboard</h1>
        </template>
        <div class="container-fluid">
            <div class="card">
                <div class="card-header with-border">
                    <h3 class="card-title">Title</h3>
                    <div class="card-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                    </div>
                </div>
                <div class="card-body">
                    <div class="chart">
                        <canvas id="general-chart" style="height: 500px;"></canvas>
                    </div>
                </div>
            </div>
        </div>
    </content-layout>
</template>

<script>
import Content from '../layouts/Content.vue';
import settings from '../settings.js';

export default {
    components: {
        'content-layout': Content
    },
    data() {
        return {
            //
        };
    },
    mounted() {
        document.head.querySelector('title').text = "Dashboard" + " - " + settings.title;
        $(window).trigger('resize');
    },
    methods: {
        //
    }
};
</script>
